edu.sc.seis.sod.velocity.seismogram

## Class VelocityRequest

- java.lang.Object
- - edu.sc.seis.sod.velocity.seismogram.VelocityRequest

-     public class VelocityRequest
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityRequest(edu.iris.Fissures.IfSeismogramDC.RequestFilter rf, edu.iris.Fissures.IfNetwork.Channel chan)`
    `VelocityRequest(edu.iris.Fissures.IfSeismogramDC.RequestFilter rf, VelocityChannel chan)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.iris.Fissures.model.MicroSecondDate` | `getBegin()`
    `java.lang.String` | `getBegin(java.lang.String dateFormat)`
    `VelocityChannel` | `getChannel()`
    `edu.iris.Fissures.model.MicroSecondDate` | `getEnd()`
    `java.lang.String` | `getEnd(java.lang.String dateFormat)`
    `java.lang.String` | `toString()`
    `static java.util.List<java.util.List<VelocityRequest>>` | `wrap(edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup)`
    `static java.util.List<VelocityRequest>` | `wrap(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfNetwork.Channel chan)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityRequest

          public VelocityRequest(edu.iris.Fissures.IfSeismogramDC.RequestFilter rf,
                                 edu.iris.Fissures.IfNetwork.Channel chan)

    - #### VelocityRequest

          public VelocityRequest(edu.iris.Fissures.IfSeismogramDC.RequestFilter rf,
                                 VelocityChannel chan)

  - ### Method Detail

    - #### getBegin

          public edu.iris.Fissures.model.MicroSecondDate getBegin()

    - #### getBegin

          public java.lang.String getBegin(java.lang.String dateFormat)

    - #### getEnd

          public edu.iris.Fissures.model.MicroSecondDate getEnd()

    - #### getEnd

          public java.lang.String getEnd(java.lang.String dateFormat)

    - #### getChannel

          public VelocityChannel getChannel()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### wrap

          public static java.util.List<VelocityRequest> wrap(edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                                             edu.iris.Fissures.IfNetwork.Channel chan)

    - #### wrap

          public static java.util.List<java.util.List<VelocityRequest>> wrap(edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original,
                                                                             edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup)